package jp.sourceforge.projects.ee2e.core.cf;

import jp.sourceforge.projects.ee2e.core.editors.EE2EIndentBehavior;
import jp.sourceforge.projects.ee2e.core.editors.EE2EIndentLisp;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2ECFLisp extends EE2ECF {
    public EE2ECFLisp() {
        super();
    }
    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#getFactoryName()
     */
    public String getFactoryName() {
        return "lisp";
    }
    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#tabIndentAction()
     */
    public EE2EIndentBehavior indentAction() {
        if (this.indentAction == null) {
            this.indentAction = new EE2EIndentLisp();
        }
        return this.indentAction;
    }
    public EE2EIndentBehavior indentAction;

    
	/**
	 * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#tabFormatAction()
	 */
    public EE2EIndentBehavior tabFormatAction() {
    	return null;
    }
}
